Package org.codehaus.groovy.ast.tools

# Class BeanUtils

java.lang.Object
org.codehaus.groovy.ast.tools.BeanUtils

    public class BeanUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BeanUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `addPseudoProperties​(ClassNode origType, ClassNode cNode, java.util.List<PropertyNode> result, java.util.Set<java.lang.String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters)` |
  `static void` | `addPseudoProperties​(ClassNode origType, ClassNode cNode, java.util.List<PropertyNode> result, java.util.Set<java.lang.String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean traverseSuperClasses)` |
  `static java.util.List<PropertyNode>` | `getAllProperties​(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters)` | Get all properties including JavaBean pseudo properties matching getter conventions.
  `static java.util.List<PropertyNode>` | `getAllProperties​(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean superFirst)` | Get all properties including JavaBean pseudo properties matching JavaBean getter or setter conventions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanUtils

    public BeanUtils()

- ## Method Details

  - ### getAllProperties

    public static java.util.List<PropertyNode> getAllProperties​(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters)
    Get all properties including JavaBean pseudo properties matching getter conventions.
    Parameters:
      `type` - the ClassNode
      `includeSuperProperties` - whether to include super properties
      `includeStatic` - whether to include static properties
      `includePseudoGetters` - whether to include JavaBean pseudo (getXXX/isYYY) properties with no corresponding field
    Returns:
      the list of found property nodes

  - ### getAllProperties

    public static java.util.List<PropertyNode> getAllProperties​(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean superFirst)
    Get all properties including JavaBean pseudo properties matching JavaBean getter or setter conventions.
    Parameters:
      `type` - the ClassNode
      `includeSuperProperties` - whether to include super properties
      `includeStatic` - whether to include static properties
      `includePseudoGetters` - whether to include JavaBean pseudo (getXXX/isYYY) properties with no corresponding field
      `includePseudoSetters` - whether to include JavaBean pseudo (setXXX) properties with no corresponding field
      `superFirst` - are properties gathered first from parent classes
    Returns:
      the list of found property nodes

  - ### addPseudoProperties

    public static void addPseudoProperties​(ClassNode origType, ClassNode cNode, java.util.List<PropertyNode> result, java.util.Set<java.lang.String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters)

  - ### addPseudoProperties

    public static void addPseudoProperties​(ClassNode origType, ClassNode cNode, java.util.List<PropertyNode> result, java.util.Set<java.lang.String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean traverseSuperClasses)